// estudios.h - Declaración de la clase CEstudios
#if !defined( _ESTUDIOS_H_ )
#define _ESTUDIOS_H_
#include <vector>
#include <string>
#include <map>
#include "alumno.h"
using namespace std;

class CEstudios
{
  private:
    int ID;
    string nombre; // nombre de la carrera
    vector<CAlumno> alumnos;
    map<int, string> asignatura; // lista de asignaturas de los estudios
  public:
    CEstudios(int id = 1, string nom = "");
    void asignarID(int id);
    int obtenerID();
    void asignarNombre(string nom);
    string obtenerNombre();
    void anyadirAlumno(CAlumno& al);
    CAlumno& alumno(int i);
    string nombreAsignatura(int id);
    size_t numeroAlumnos();
    CEstudios& operator<<(CAlumno& al);
    bool operator!();
};

#endif // _ESTUDIOS_H_

